package org.itscool.commons.util;

/**
 * HTMLのタグ記述を管理するクラスです
 * @author kanoum
*/
public class TagInfo{
    public static final String BODY_NAME="body";
    public static final String HTML_NAME="html";
    public static final String HEAD_NAME="head";

    private String startTag;
    private String endTag;
    private String dataInTag;
   
    /**
     * @return タグ内部の記述を返します
     */
    public String getDataInTag() {
    	if( dataInTag == null ){
    		return "";
    	}else{
    		return dataInTag;
    	}
    }

    /**
     * @return 終了タグ部を返します
     */
    public String getEndTag() {
        if( endTag == null ){
        	return "";
        }else{
        	return endTag;
        }
    }

    /**
     * @return 開始タグ部を返します
     */
    public String getStartTag() {
    	if( startTag == null ){
    		return "";
    	}else{
    		return startTag;
    	}
    }

    /**
     * @param string タグ内部の記述をセットします
     */
    public void setDataInTag(String string) {
        dataInTag = string;
    }

    /**
     * @param string 終了タグをセットします
     */
    public void setEndTag(String string) {
        endTag = string;
    }

    /**
     * @param string 開始タグをセットします
     */
    public void setStartTag(String string) {
        startTag = string;
    }
}
